Subject: Re: [PATCH] powerpc: add dmesg command to xmon

From: Olaf Hering <[email-masked]>
Date: Sun, 28 May 2006 14:07:48 +0200

On Sun, May 28, Arnd Bergmann wrote:

> This whole function looks fishy to me. It seems unnecessarily rude to me to
> use kallsyms_lookup_name in order to get at a static variable from another
> file. Can't you instead add a global function to kernel/printk.c to return
> the buffer?

Its possible, but it wont end up in Linus tree.

> Also, what's the purpose of the sync/__delay code in here? If you use that
> to check for a possible machine check that may have happened, why not in
> the case where the lookup fails?

I just copied the other usages. Accessing the dmesg buffer itself may
need similar checks.